SDL_test_random.h File Reference
`#include "begin_code.h"`
`#include "close_code.h"`
Include dependency graph for SDL_test_random.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDLTest_RandomContext

## Macros

#define | SDLTest_RandomInt(c)

## Functions

void | SDLTest_RandomInit (SDLTest_RandomContext *rndContext, unsigned int xi, unsigned int ci)
void | SDLTest_RandomInitTime (SDLTest_RandomContext *rndContext)
unsigned int | SDLTest_Random (SDLTest_RandomContext *rndContext)

## Macro Definition Documentation

## SDLTest_RandomInt

#define SDLTest_RandomInt | ( |  | c | ) |

Value:
((int)SDLTest_Random(c))
SDLTest_Random
unsigned int SDLTest_Random(SDLTest_RandomContext *rndContext)

Definition at line 54 of file SDL_test_random.h.

## Function Documentation

## SDLTest_Random()

unsigned int SDLTest_Random | ( | SDLTest_RandomContext * | rndContext | ) |

## SDLTest_RandomInit()

void SDLTest_RandomInit | ( | SDLTest_RandomContext * | rndContext,
|  | unsigned int | xi,
|  | unsigned int | ci )

## SDLTest_RandomInitTime()

void SDLTest_RandomInitTime | ( | SDLTest_RandomContext * | rndContext | ) |